## ros-kinetic-rqt-action 0.4.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_action)
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-rqt-action (0.4.9-0xenial) xenial; urgency=high

  * Add gbiggs as maintainer (#2 <https://github.com/ros-visualization/rqt_action/issues/2>)

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 18 May 2017 15:00:00 -0000

ros-kinetic-rqt-action (0.4.8-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 26 Apr 2017 15:00:00 -0000

ros-kinetic-rqt-action (0.4.7-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 01 Mar 2017 15:00:00 -0000

ros-kinetic-rqt-action (0.4.6-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 26 Feb 2017 15:00:00 -0000

ros-kinetic-rqt-action (0.4.5-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 02 Feb 2017 15:00:00 -0000

ros-kinetic-rqt-action (0.4.4-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 23 Jan 2017 15:00:00 -0000

ros-kinetic-rqt-action (0.4.3-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 01 Nov 2016 15:00:00 -0000

ros-kinetic-rqt-action (0.4.2-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 18 Sep 2016 15:00:00 -0000

ros-kinetic-rqt-action (0.4.1-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 15 May 2016 15:00:00 -0000

ros-kinetic-rqt-action (0.4.0-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 26 Apr 2016 15:00:00 -0000

ros-kinetic-rqt-action (0.3.13-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 07 Mar 2016 15:00:00 -0000

ros-kinetic-rqt-action (0.3.12-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 23 Jul 2015 15:00:00 -0000

ros-kinetic-rqt-action (0.3.11-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 29 Apr 2015 15:00:00 -0000

ros-kinetic-rqt-action (0.3.10-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 30 Sep 2014 15:00:00 -0000

ros-kinetic-rqt-action (0.3.9-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 17 Aug 2014 15:00:00 -0000

ros-kinetic-rqt-action (0.3.8-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Jul 2014 15:00:00 -0000

ros-kinetic-rqt-action (0.3.7-0xenial) xenial; urgency=high

  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 10 Jul 2014 15:00:00 -0000

ros-kinetic-rqt-action (0.3.6-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 01 Jun 2014 15:00:00 -0000

ros-kinetic-rqt-action (0.3.5-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 06 May 2014 15:00:00 -0000

ros-kinetic-rqt-action (0.3.4-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Jan 2014 15:00:00 -0000

ros-kinetic-rqt-action (0.3.3-0xenial) xenial; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 07 Jan 2014 15:00:00 -0000

ros-kinetic-rqt-action (0.3.2-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 13 Oct 2013 15:00:00 -0000

ros-kinetic-rqt-action (0.3.1-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 08 Oct 2013 15:00:00 -0000

ros-kinetic-rqt-action (0.3.0-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 27 Aug 2013 15:00:00 -0000

ros-kinetic-rqt-action (0.2.17-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 03 Jul 2013 15:00:00 -0000

ros-kinetic-rqt-action (0.2.16-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 09 Apr 2013 04:33:00 -0000

ros-kinetic-rqt-action (0.2.15-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 08 Apr 2013 15:02:00 -0000

ros-kinetic-rqt-action (0.2.14-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 13 Mar 2013 15:00:00 -0000

ros-kinetic-rqt-action (0.2.13-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 11 Mar 2013 13:14:00 -0000

ros-kinetic-rqt-action (0.2.12-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 11 Mar 2013 04:56:00 -0000

ros-kinetic-rqt-action (0.2.11-0xenial) xenial; urgency=high

  * Now depends on rqt_msg to eliminate GUI files from this package
  * Fix; IndexError: list index out of range (#26 <https://github.com/ros-visualization/rqt_common_plugins/issues/26>)
  * first release of this package into groovy

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 07 Mar 2013 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rqt-action
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/rqt_action
Standards-Version: 3.9.2

Package: ros-kinetic-rqt-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rospy, ros-kinetic-rqt-msg, ros-kinetic-rqt-py-common
Description: rqt_action provides a feature to introspect all available ROS action (from actionlib) types.
 By utilizing rqt_msg, the output format is unified with it and rqt_srv. Note that the actions shown on this plugin is the ones that are stored on your machine, not on the ROS core your rqt instance connects to.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rqt-action//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
